update pipeline
curl --request PATCH \
--url https://api.klipy.ai/api/v2/pipelines/{id} \
--header 'Content-Type: application/json' \
--header 'X-Klipy-Api-Key: <api-key>' \
--data '
{
"description": "<string>",
"is_default": true,
"is_public": true,
"name": "<string>",
"stages": [
{
"color": "<string>",
"id": "<string>",
"index": 123,
"name": "<string>",
"variant": "<string>",
"description": "<string>"
}
]
}
'import requests
url = "https://api.klipy.ai/api/v2/pipelines/{id}"
payload = {
"description": "<string>",
"is_default": True,
"is_public": True,
"name": "<string>",
"stages": [
{
"color": "<string>",
"id": "<string>",
"index": 123,
"name": "<string>",
"variant": "<string>",
"description": "<string>"
}
]
}
headers = {
"X-Klipy-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Klipy-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
is_default: true,
is_public: true,
name: '<string>',
stages: [
{
color: '<string>',
id: '<string>',
index: 123,
name: '<string>',
variant: '<string>',
description: '<string>'
}
]
})
};
fetch('https://api.klipy.ai/api/v2/pipelines/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {},
"meta": {
"api_version": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}{
"error": {
"code": "<string>",
"details": [
{}
],
"message": "<string>"
},
"meta": {
"api_version": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}{
"error": {
"code": "<string>",
"details": [
{}
],
"message": "<string>"
},
"meta": {
"api_version": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}{
"error": {
"code": "<string>",
"details": [
{}
],
"message": "<string>"
},
"meta": {
"api_version": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}{
"error": {
"code": "<string>",
"details": [
{}
],
"message": "<string>"
},
"meta": {
"api_version": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}{
"error": {
"code": "<string>",
"details": [
{}
],
"message": "<string>"
},
"meta": {
"api_version": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}{
"error": {
"code": "<string>",
"details": [
{}
],
"message": "<string>"
},
"meta": {
"api_version": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}Pipelines
update pipeline
Updates fields on an existing pipeline. Only the fields present in the request body are changed; omitted fields are left untouched. Returns 404 if no pipeline with that id exists in the authenticated organization.
PATCH
/
pipelines
/
{id}
update pipeline
Authorizations
ApiKeyHeaderBearerAuth
Path Parameters
Body
application/json
Last modified on July 11, 2026
Was this page helpful?
⌘I